package com.ruoyi.project.training.bccnew.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.training.bccnew.mapper.TTsYsplanTmplMapper;
import com.ruoyi.project.training.bccnew.domain.TTsYsplanTmpl;
import com.ruoyi.project.training.bccnew.service.ITTsYsplanTmplService;

/**
 * 压缩培训模版Service业务层处理
 *
 * @author ssy
 * @date 2024-06-13
 */
@Service
public class TTsYsplanTmplServiceImpl implements ITTsYsplanTmplService
{
    @Autowired
    private TTsYsplanTmplMapper tTsYsplanTmplMapper;

    /**
     * 查询压缩培训模版
     *
     * @param id 压缩培训模版ID
     * @return 压缩培训模版
     */
    @Override
    public TTsYsplanTmpl selectTTsYsplanTmplById(Long id)
    {
        return tTsYsplanTmplMapper.selectTTsYsplanTmplById(id);
    }

    /**
     * 查询压缩培训模版列表
     *
     * @param tTsYsplanTmpl 压缩培训模版
     * @return 压缩培训模版
     */
    @Override
    public List<TTsYsplanTmpl> selectTTsYsplanTmplList(TTsYsplanTmpl tTsYsplanTmpl)
    {
        return tTsYsplanTmplMapper.selectTTsYsplanTmplList(tTsYsplanTmpl);
    }

    /**
     * 新增压缩培训模版
     *
     * @param tTsYsplanTmpl 压缩培训模版
     * @return 结果
     */
    @Override
    public int insertTTsYsplanTmpl(TTsYsplanTmpl tTsYsplanTmpl)
    {
        return tTsYsplanTmplMapper.insertTTsYsplanTmpl(tTsYsplanTmpl);
    }

    /**
     * 修改压缩培训模版
     *
     * @param tTsYsplanTmpl 压缩培训模版
     * @return 结果
     */
    @Override
    public int updateTTsYsplanTmpl(TTsYsplanTmpl tTsYsplanTmpl)
    {
        return tTsYsplanTmplMapper.updateTTsYsplanTmpl(tTsYsplanTmpl);
    }

    /**
     * 批量删除压缩培训模版
     *
     * @param ids 需要删除的压缩培训模版ID
     * @return 结果
     */
    @Override
    public int deleteTTsYsplanTmplByIds(Long[] ids)
    {
        return tTsYsplanTmplMapper.deleteTTsYsplanTmplByIds(ids);
    }

    /**
     * 删除压缩培训模版信息
     *
     * @param id 压缩培训模版ID
     * @return 结果
     */
    @Override
    public int deleteTTsYsplanTmplById(Long id)
    {
        return tTsYsplanTmplMapper.deleteTTsYsplanTmplById(id);
    }
}
